Bug 1224421 - plasma-desktop depends on PackageKit
Summary: plasma-desktop depends on PackageKit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2015-05-22 22:13 UTC by Orion Poplawski
Modified: 2015-11-22 18:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 09:54:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2015-05-22 22:13:07 UTC
Description of problem:

I don't want PackageKit, but:

# rpm -e PackageKit
error: Failed dependencies:
        PackageKit is needed by (installed) PackageKit-Qt5-0.9.5-1.fc22.x86_64
# rpm -e PackageKit-Qt5
error: Failed dependencies:
        libpackagekitqt5.so.0()(64bit) is needed by (installed) plasma-desktop-5.3.0-6.fc22.x86_64

The dep appears to come in via:

/usr/lib64/qt5/qml/org/kde/plasma/private/kicker/libkickerplugin.so

        libpackagekitqt5.so.0 => /lib64/libpackagekitqt5.so.0 (0x00007f175cc9e000)

Version-Release number of selected component (if applicable):
plasma-desktop-5.3.0-6.fc22.x86_64

Comment 1 Rex Dieter 2015-05-22 22:16:21 UTC
Thanks.

Fwiw, that plugin (for classic "Application Menu") gives the feature of right click menu item -> Remove <...>  , to allow easy uninstall of apps

Packaging alternatives:
* make a subpkg just for that kicker plugin (if possible)
* make subpkg for classic "Application Menu" widget

Comment 2 Orion Poplawski 2015-05-22 22:49:33 UTC
I guess I'd lean towards having a subpkg just for the plugin, if possible.

Comment 3 Kevin Kofler 2015-05-27 02:24:41 UTC
libkickerplugin is a Plasma plugin required by the "Application Menu" widget, so there are only really 3 choices: compile that feature out at compile time, subpackage the entire "Application Menu" widget (but be warned that upstream is working on also porting the Kickoff menu to that backend, so you'd soon end up with no menu at all without that subpackage) or close this as NOTABUG.

Comment 4 Lukáš Tinkl 2015-05-27 02:44:19 UTC
I'm afraid that feature doesn't even work... Has anybody actually tried it, just curious?

Comment 5 Rex Dieter 2015-05-27 03:19:39 UTC
It worked for me, it launched muon-discover

Of course, we don't have a dependency for that either.

Comment 6 Habig, Alec 2015-05-28 19:50:21 UTC
(was just about to file this bug, but thought to search first for a change: and Orion has beaten me to it :)

An argument as to why this is a bad dependency (so please, no NOTABUG): while having a "windows update" style userspace package manager is obviously nice for single user desktops, it's inappropriate for servers or managed workstations.  In those cases the sysadmin needs to be in charge of updates, and all PackageKit does is get in the way (via locking yum/dnf files), consume bandwidth, and confuse users.

On the other hand, plasma-desktop is a pretty important option to have on your managed workstation.

Comment 7 Tomas Lestach 2015-06-30 16:54:49 UTC
Agree, plasma-desktop cannot be dependent on PackageKit, what is kind of its plugin/add-on.

Removal of PackageKit-Qt5 simply cannot remove the whole plasma-desktop!

# dnf remove PackageKit-Qt5
Dependencies resolved.
================================================================================
 Package                    Arch       Version                Repository   Size
================================================================================
Removing:
 PackageKit-Qt5             x86_64     0.9.5-1.fc22           @System     329 k
 kde-print-manager          x86_64     15.03.95-2.fc22        @System     764 k
 kde-print-manager-libs     x86_64     15.03.95-2.fc22        @System     595 k
 khotkeys                   x86_64     5.3.1-1.fc22           @System     2.4 M
 plasma-desktop             x86_64     5.3.1-6.fc22           @System      27 M
 plasma-pk-updates          x86_64     0.2-1.fc22             @System     156 k
 plasma-workspace           x86_64     5.3.1-5.fc22           @System      31 M
 powerdevil                 x86_64     5.3.1-1.fc22           @System     2.1 M

Transaction Summary
================================================================================
Remove  8 Packages

Installed size: 65 M
Is this ok [y/N]: 


Can we remove the dependency?

Comment 8 Rex Dieter 2015-06-30 17:42:31 UTC
Be mindful, PackageKit by itself does nothing, without a front end like apper, gnome-software, muon, etc...

per comment #3, splitting this out is either non-trivial or not possible.  Still trying though.

Comment 9 Orion Poplawski 2015-06-30 17:49:10 UTC
Not entirely true - on my F22 system without apper, /usr/libexec/packagekitd is started and it downloads metadata into /var/cache/PackageKit.  Not sure what kicks it off.

Comment 10 Orion Poplawski 2015-06-30 17:50:20 UTC
Looks like there is some other plasma Software Updates widget?

Comment 11 Rex Dieter 2015-06-30 17:51:55 UTC
Yes, plasma-pk-updates too, my list in comment #8 was not exhaustive

Comment 12 Orion Poplawski 2015-06-30 17:55:56 UTC
Ah, that was the ticket.  Removing that seems to prevent packagekitd from starting.

Comment 13 Rex Dieter 2015-10-30 13:49:50 UTC
I'm working to implement this...  the idea I'm going with:

The idea is this:

1.  explicitly add
Requires: PackageKit
to most existing PK consumers, this includes: plasma-pk-updates, apper, muon
(since it is essential for these tools)

2.  change dep in PackageKit-Qt/PackageKit-Qt5 from
Requires: PackageKit
to
Recommends: PackageKit

3.  add to plasma-desktop
Recommends: muon-discover
(that's the tool that is actually used by the feature mentioned in this bug report)

Comment 14 nucleo 2015-10-31 18:51:02 UTC
I can remove PackageKit in Rawhide but if I try to reinstall plasma-desktop dnf installs weak deps again. Installing can be avoided with adding  install_weak_deps=false in dnf.conf.

Comment 15 Rex Dieter 2015-10-31 19:50:30 UTC
Right, that's the idea here, utilizing weak deps: install by default, but allow it (PackageKit) to be removed

Comment 16 nucleo 2015-10-31 19:54:42 UTC
But PackageKit can't be removed permanently because it will be installed with next plasma-desktop update.

Comment 17 Rex Dieter 2015-10-31 19:57:11 UTC
You said you "reinstalled plasma-desktop", not just installed updates.  there's a difference.

If dnf is (re)installing soft deps on updates, that's a dnf bug.

Comment 18 nucleo 2015-10-31 20:00:50 UTC
First PackageKit was installed with todays plasma-desktop update in Rawhide
I can't downgrade it and update again for testing, so I tried to test with reinstall.

Comment 19 nucleo 2015-11-11 18:06:46 UTC
Is new PackageKit dependency can be backported to F23?
plasma-desktop-5.4.3-1.fc23 still requires libpackagekitqt5.so.0.

Comment 20 Rex Dieter 2015-11-11 18:16:04 UTC
Yes, that dep will remain, we didn't make PackageKit-Qt5 removable, only PackageKit

Comment 21 Rex Dieter 2015-11-11 18:16:59 UTC
See comment #13 for implementation details

Comment 22 nucleo 2015-11-11 18:21:05 UTC
So problem in dependency PackageKit-Qt5 from PackageKit that remains in F23
$ rpm -e PackageKit
error: Failed dependencies:
        PackageKit is needed by (installed) PackageKit-Qt5-0.9.5-3.fc23.x86_64

New build that fixes this is not in updates
http://koji.fedoraproject.org/koji/buildinfo?buildID=695140

Comment 23 Rex Dieter 2015-11-11 18:23:34 UTC
Correct, sorry, it's not all available for f23... yet

You want at least PackageKit-Qt-0.9.5-5.fc23, which is built, but an update for that still needs to be filed

Comment 24 Fedora Update System 2015-11-11 18:24:54 UTC
PackageKit-Qt-0.9.5-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7330bf770

Comment 25 Fedora Update System 2015-11-11 18:26:35 UTC
PackageKit-Qt-0.9.5-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-acd0246e82

Comment 26 Fedora Update System 2015-11-12 02:24:04 UTC
PackageKit-Qt-0.9.5-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update PackageKit-Qt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-acd0246e82

Comment 27 Fedora Update System 2015-11-12 03:57:29 UTC
PackageKit-Qt-0.9.5-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update PackageKit-Qt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7330bf770

Comment 28 Fedora Update System 2015-11-19 09:54:31 UTC
PackageKit-Qt-0.9.5-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-11-22 18:20:28 UTC
PackageKit-Qt-0.9.5-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.